Subject: Re: [PATCH net-next 0/3] add skb_segment kunit coverage

From: Jakub Kicinski <[email-masked]>
Date: Fri, 6 Oct 2023 17:30:30 -0700

On Thu,  5 Oct 2023 09:48:54 -0400 Willem de Bruijn wrote:
> As discussed at netconf last week. Some kernel code is exercised in
> many different ways. skb_segment is a prime example. This ~350 line
> function has 49 different patches in git blame with 28 different
> authors.
> 
> When making a change, e.g., to fix a bug in one specific use case,
> it is hard to establish through analysis alone that the change does
> not break the many other paths through the code. It is impractical to
> exercise all code paths through regression testing from userspace.
> 
> Add the minimal infrastructure needed to add KUnit tests to networking,
> and add code coverage for this function.

Apparently we're supposed add descriptions to all modules now:

WARNING: modpost: missing MODULE_DESCRIPTION() in net/core/gso_test.o